> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costgraph.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflow checkpoints awaiting input

> Lists pending checkpoints across the tenant's non-archived goals.



## OpenAPI

````yaml /api-reference/costgraph/openapi.json get /api/v1/tenant/automation/checkpoints
openapi: 3.0.0
info:
  description: Read and manage your CostGraph organization, spend, alerts, and settings.
  title: CostGraph API
  contact: {}
  version: '1.0'
servers:
  - url: https://api.costgraph.ai
security: []
tags:
  - name: ai
    x-group: AI
  - name: ai-serving
    x-group: AI serving
  - name: anomalies
    x-group: Anomalies
  - name: auth
    x-group: Auth
  - name: billing
    x-group: Billing
  - name: billing-export
    x-group: Billing export
  - name: budgets
    x-group: Budgets
  - name: ci
    x-group: CI
  - name: compute-recommendations
    x-group: Compute recommendations
  - name: config
    x-group: Config
  - name: cost
    x-group: Cost
  - name: gpus
    x-group: GPUs
  - name: graphai
    x-group: Graph AI
  - name: infracost
    x-group: Infracost
  - name: integrations
    x-group: Integrations
  - name: invitations
    x-group: Invitations
  - name: kubernetes-clusters
    x-group: Kubernetes clusters
  - name: marketplace
    x-group: Marketplace
  - name: network-requests
    x-group: Network requests
  - name: notifications
    x-group: Notifications
  - name: oauth
    x-group: OAuth
  - name: oauth-clients
    x-group: OAuth clients
  - name: opencost
    x-group: OpenCost
  - name: organization
    x-group: Audit log
  - name: organizations
    x-group: Organizations
  - name: placement-alternatives
    x-group: Placement alternatives
  - name: reports
    x-group: Reports
  - name: service-map
    x-group: Service map
  - name: settings
    x-group: Settings
  - name: sso
    x-group: Single sign-on
  - name: tenants
    x-group: Tenants
  - name: user
    x-group: Users
  - name: virtual-machines
    x-group: Virtual machines
  - name: virtual-tags
    x-group: Virtual tags
  - name: workflows
    x-group: Workflows
paths:
  /api/v1/tenant/automation/checkpoints:
    get:
      tags:
        - workflows
      summary: List workflow checkpoints awaiting input
      description: Lists pending checkpoints across the tenant's non-archived goals.
      parameters:
        - description: Tenant ID
          name: X-CostGraph-Tenant-ID
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/responses.SuccessResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/automation.CheckpointProjection'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    responses.SuccessResponse:
      type: object
      required:
        - message
        - status
      properties:
        data: {}
        message:
          type: string
          example: some message
        status:
          type: string
          example: success
    automation.CheckpointProjection:
      type: object
      required:
        - checkpoint_id
        - created_at
        - goal_id
        - goal_name
        - node_id
        - options
        - prompt
        - run_id
        - status
        - type
        - version
      properties:
        blocker:
          $ref: '#/components/schemas/automation.WorkflowBlockerV1'
        checkpoint_id:
          type: string
        created_at:
          type: string
        effect:
          $ref: '#/components/schemas/automation.EffectPreview'
        expires_at:
          type: string
        goal_id:
          type: string
        goal_name:
          type: string
        node_id:
          type: string
        options:
          type: array
          items:
            type: string
        prompt:
          type: string
        run_id:
          type: string
        status:
          type: string
          enum:
            - pending
            - answered
            - approved
            - rejected
            - expired
            - cancelled
        type:
          type: string
          enum:
            - context
            - choice
            - assistance
            - approval
        version:
          type: integer
    responses.ErrorResponse:
      type: object
      required:
        - message
        - status
      properties:
        message:
          type: string
          example: some message
        status:
          type: string
          example: error
    automation.WorkflowBlockerV1:
      type: object
      required:
        - kind
        - message
        - provider
        - retryable
      properties:
        capabilityId:
          type: string
        code:
          type: string
        connectionId:
          type: string
        kind:
          $ref: '#/components/schemas/automation.WorkflowBlockerKindV1'
        message:
          type: string
        operation:
          type: string
        provider:
          type: string
        remediation:
          $ref: '#/components/schemas/automation.BlockerRemediationV1'
        retryable:
          type: boolean
    automation.EffectPreview:
      type: object
      required:
        - effect_hash
        - effective_risk_tier
        - estimated_cost_cents
      properties:
        canonical_input:
          type: object
        capability_connection_id:
          type: string
        capability_id:
          type: string
        capability_version:
          type: string
        categories:
          type: array
          items:
            type: string
        connection_id:
          type: string
        effect_bundle_id:
          type: string
        effect_hash:
          type: string
        effect_segment_id:
          type: string
        effective_risk_tier:
          type: integer
        effects:
          type: array
          items:
            $ref: '#/components/schemas/automation.EffectPreview'
        estimated_cost_cents:
          type: integer
        financial_impacts:
          type: array
          items:
            $ref: '#/components/schemas/automation.FinancialImpactV1'
        preconditions:
          type: array
          items:
            type: object
        recovery:
          type: object
        segment_hash:
          type: string
        summary:
          type: string
        targets:
          type: array
          items:
            type: object
        verification:
          type: object
    automation.WorkflowBlockerKindV1:
      type: string
      enum:
        - connection_missing
        - connection_expired
        - provider_permission
        - policy_denied
        - transient_failure
      x-enum-varnames:
        - BlockerConnectionMissing
        - BlockerConnectionExpired
        - BlockerProviderPermission
        - BlockerPolicyDenied
        - BlockerTransientFailure
    automation.BlockerRemediationV1:
      type: object
      required:
        - kind
      properties:
        instructions:
          type: string
        kind:
          $ref: '#/components/schemas/automation.BlockerRemediationKindV1'
        url:
          type: string
    automation.FinancialImpactV1:
      type: object
      required:
        - asOf
        - basis
        - currency
        - kind
        - sourceObservationId
      properties:
        amountCents:
          type: integer
        asOf:
          type: string
        basis:
          type: string
        confidence:
          type: number
        currency:
          type: string
        kind:
          $ref: '#/components/schemas/automation.FinancialImpactKind'
        monthlyCents:
          type: integer
        sourceObservationId:
          type: string
        sourceRecommendationId:
          type: string
    automation.BlockerRemediationKindV1:
      type: string
      enum:
        - reconnect
        - update_role
        - contact_admin
        - retry
      x-enum-varnames:
        - RemediationReconnect
        - RemediationUpdateRole
        - RemediationContactAdmin
        - RemediationRetry
    automation.FinancialImpactKind:
      type: string
      enum:
        - recurring_savings
        - one_time_savings
        - cost_increase
        - unknown
      x-enum-varnames:
        - FinancialImpactRecurringSavings
        - FinancialImpactOneTimeSavings
        - FinancialImpactCostIncrease
        - FinancialImpactUnknown
  securitySchemes:
    BearerAuth:
      description: Enter "Bearer {token}"
      type: apiKey
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.